com.google.gwt.user.client.ui

## Class NotificationMole

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.client.ui.NotificationMole

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

      public class NotificationMole
      extends Composite

  Simple widget for providing notification feedback.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static interface` | `NotificationMole.Binder`
    `static interface` | `NotificationMole.Style` Default CSS styles for this widget.

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) DivElement` | `borderElement`
    `(package private) DivElement` | `heightMeasure`
    `(package private) SpanElement` | `notificationText`
    `(package private) int` | `showAttempts`
    `(package private) Timer` | `showTimer`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationMole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hide()` Hides the notification.
    `void` | `hideNow()` Force mole to hide and discard outstanding show attempts.
    `void` | `setAnimationDuration(int duration)` Sets the animation duration in milliseconds.
    `void` | `setMessage(java.lang.String message)` Sets the message text to be displayed.
    `void` | `show()` Display the notification with the existing message.
    `void` | `show(java.lang.String message)` Set the message text and then display the notification.
    `void` | `showDelayed(int delay)` Display the notification, but after a delay.

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### borderElement

          @UiField
          DivElement borderElement

    - #### heightMeasure

          @UiField
          DivElement heightMeasure

    - #### notificationText

          @UiField
          SpanElement notificationText

    - #### showAttempts

          int showAttempts

    - #### showTimer

          Timer showTimer

  - ### Constructor Detail

    - #### NotificationMole

          public NotificationMole()

  - ### Method Detail

    - #### hide

          public void hide()

      Hides the notification.

    - #### hideNow

          public void hideNow()

      Force mole to hide and discard outstanding show attempts.

    - #### setAnimationDuration

          public void setAnimationDuration(int duration)

      Sets the animation duration in milliseconds. The animation duration defaults to 0 if this method is never called.
      Parameters:
        `duration` - the animation duration in milliseconds.

    - #### setMessage

          public void setMessage(java.lang.String message)

      Sets the message text to be displayed.
      Parameters:
        `message` - the text to be displayed.

    - #### show

          public void show()

      Display the notification with the existing message.

    - #### show

          public void show(java.lang.String message)

      Set the message text and then display the notification.

    - #### showDelayed

          public void showDelayed(int delay)

      Display the notification, but after a delay.
      Parameters:
        `delay` - delay in milliseconds.